using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace XNA0118Proj{
    public class Game1 : Microsoft.Xna.Framework.Game{
        GraphicsDeviceManager graphics;
        SpriteBatch spriteBatch;

        public Game1()
        {
            graphics = new GraphicsDeviceManager(this);
            Content.RootDirectory = "Content";
        }

        protected override void Initialize()
        {
            // TODO: Add your initialization logic here

            base.Initialize();
        }

        //Declare two variables
        Texture2D myTexture;
        Vector2 spritePosition = new Vector2(10.0f, 15.0f);

        protected override void LoadContent()
        {
            // Create a new SpriteBatch, which can be used
            // to draw textures.
            spriteBatch = new SpriteBatch(GraphicsDevice);
            //Load the image
            myTexture =
                    Content.Load<Texture2D>("gorightarrow");
        }//end LoadContent

        protected override void UnloadContent()
        {
            // TODO: Unload any non ContentManager content here
        }

        protected override void Update(GameTime gameTime)
        {
            // Allows the game to exit
            if (GamePad.GetState(PlayerIndex.One).Buttons.Back == ButtonState.Pressed)
                this.Exit();

            // TODO: Add your update logic here

            base.Update(gameTime);
        }

        protected override void Draw(GameTime gameTime)
        {
            GraphicsDevice.Clear(Color.CornflowerBlue);

            spriteBatch.Begin();
            spriteBatch.Draw(
                          myTexture, spritePosition, Color.White);
            spriteBatch.End();

            base.Draw(gameTime);
        }//end Draw method
    }//End class
}//End namespace
